package com.yunzhi.inte.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.inte.entity.Store;

import java.util.List;

/**
 * 库存表;(store)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-9-17
 */
@Mapper
public interface StoreMapper  extends BaseMapper<Store>{

    IPage<Store> getPageBy(IPage<Store> pg, @Param("name") String name, @Param("typeId") String typeId, @Param("isDish")  Integer isDish);

    List<Store> getListBy(@Param("name") String name, @Param("typeId") String typeId);
}