package com.yunzhi.inte.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.inte.entity.Dishes;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.PackageDetail;
import com.yunzhi.inte.mapper.PackageDetailMapper;
import com.yunzhi.inte.service.PackageDetailService;
/**
 * 套餐详情;(package_detail)表服务实现类
 * @author : http://www.chiner.pro
 * @date : 2022-9-17
 */
@Service
public class PackageDetailServiceImpl extends BaseServiceImpl<PackageDetailMapper, PackageDetail> implements PackageDetailService {

    @Override
    public IPage<Dishes> getPageByPackage(IPage<Dishes> pg, Integer packageId) {
        return baseMapper.getPageByPackage(pg, packageId);
    }
}